#! /usr/bin/perl -w

## This converts a bin number
## and outputs the pc array to the screen

#use strict;
#use POSIX; ## for floor 

$usage = "Usage: bin2pcs bin#\n";
#if (!$ARGV[0]) { print $usage; die; }

sub bin2arr($) {
	my $bin = $_[0];
#	print $bin . "\n";
	my $str = "{ ";
	my $c = 0;
	while ($bin)
	{
		if ($bin & 1)
		{
			$str .= $c . " ";
		}
		$c++;
		$bin /= 2;
	}
	$str .= "}";
	return $str;
}

if ($ARGV[0] and $ARGV[0] =~ m/^(\d+\.?\d*|\.\d+)$/) { print bin2arr($ARGV[0]) . "\n"; }
else { print $usage; }